.loader {
  height: 4px;
  width: 100%;
  position: relative;
  overflow: hidden;
  background-image: linear-gradient(to right, #011365, #fe7e00);

  &-overlay {
    position: fixed;
    width: 100%;
    z-index: 500000;
    top: 0;
  }

  &-complete {
    &:before {
      display: block;
      position: fixed;
      content: "";
      width: 100%;
      height: 4px;
      background-color: #f3f2ef;
    }
  }

  &:before {
    display: block;
    position: fixed;
    content: "";
    left: 0;
    width: 0;
    height: 4px;
    background-color: #f3f2ef;
    animation: loading 480s;
  }
}

@keyframes loading {
  from {left: 0; width: 0;}
  1% {left: 0; width: 75%;}
  5% {left: 0; width: 85%;}
  10% {left: 0; width: 90%;}
  to {left: 0; width: 100%;}
}